﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace cleanac3
{
    class Program
    {
        static string usage = "cleanac3 input-file output-dir [+h] [-a]\n\t+h - write h264 file (default not written)\n\t-a - do not write ac3 file (default written)\n ";
        static void Main(string[] args)
        {
            string infile;
            string outdir;
            Boolean writeaudio = true;
            Boolean writevideo = false;

            Console.WriteLine("cleanac3 1.0 01/30/2009");
            Console.WriteLine("derived by the_tom from TS_analyzer originally by Angel (2004), as modded by rebkell (2008)");
            if (args.Length < 2)
            {
                Console.WriteLine(usage);
                return;
            }
            infile = args[0];
            outdir = args[1];
            for (int i = 2; i < args.Length; i++)
            {
                if (args[i].Equals("+h")) writevideo = true;
                else if (args[i].Equals("-a")) writeaudio = false;
                else
                {
                    Console.WriteLine(usage);
                    return;
                }
            }
            Ac3ExtractorFixer aef = new Ac3ExtractorFixer(infile, outdir);
            aef.process(writevideo, writeaudio);
        }
    }
}
